git.lirion.de

Of git, get, and gud

aboutsummaryrefslogtreecommitdiffstats
path: root/.environ-prep
diff options
context:
space:
mode:
authorHarald Pfeiffer <harald.pfeiffer _ xmart.de> 2018-11-01 13:30:58 +0100
committerHarald Pfeiffer <harald.pfeiffer _ xmart.de> 2018-11-01 13:30:58 +0100
commit0632591996893fe136a1f2fe44d9b9f404f41f3e (patch)
tree7340edbe7c212da3db45a83219147143a3268c8d /.environ-prep
downloadfedora-laptop-0632591996893fe136a1f2fe44d9b9f404f41f3e.tar.bz2
Initial commit
Diffstat (limited to '.environ-prep')
-rwxr-xr-x.environ-prep14
1 files changed, 14 insertions, 0 deletions
diff --git a/.environ-prep b/.environ-prep
new file mode 100755
index 0000000..33f9c1f
--- /dev/null
+++ b/.environ-prep
@@ -0,0 +1,14 @@
+#!/bin/sh
+apt -q update||exit 1
+apt -yqq dist-upgrade||exit 1
+apt -yq install ksh make sudo node-util shellcheck locales git >/dev/null 2>&1||exit 1
+sed -i 's/^#.*\(en-IE.UTF-8\)/\1/g' /etc/locale.gen||exit 1
+echo ": \"\${LANG:=en_IE.UTF-8}\"; export LANG">>/etc/profile.d/lang
+locale-gen||exit 1
+cp -vpR fakeenv/* /
+# whyever the docker container comes up with world writable stuff...
+# "it doesn't work? SOLUTION CHMOD 777 DERP DURP"
+# assumption 1: cp above was without "-p", and default umask might be 000
+# answer 1: seems the docker does not give a sheet about cp -p
+for i in localfs/ fakeenv/ /;do chmod -R o-w "$i"etc/systemd/system;done
+systemctl unmask systemd-timesyncd.service; systemctl disable systemd-timesyncd.service